language: r
cache: packages

os:
  - linux
  - osx

r_github_packages:
  - jimhester/covr

before_install: 
  - if [ "${TRAVIS_OS_NAME}" == "osx" ]; then sudo tlmgr install preprint url; fi 

after_success:
  - if [ "${TRAVIS_OS_NAME}" == "linux" ]; then echo 'covr::coveralls(quiet=FALSE)' | R --vanilla; fi